@font-face {
  font-family: "Nunito";
  src: url("../fonts/Nunito-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

body {
  margin: 0;
  padding: 0;
  user-select: none;
  font-family: "Nunito", sans-serif;
  background-color: #fff5e1;
}

h1 {
  text-align: center;
  font-size: 7vw;
}

#main-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 12vw;
  padding: 0 0 10vw 0;
}

.item {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.img-wrapper {
  height: 130vw;
  width: 90vw;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.25);
}

img {
  height: 100%;
  width: 100%;
  object-fit: fill;
}

.text {
  display: flex;
  width: 85vw;
  text-align: justify;
  font-size: 5vw;
}

@media (min-width: 768px) {
  h1 {
    font-size: 5vw;
    padding: 0 3vw;
  }

  #main-container {
  gap: 10vw;
}

  .img-wrapper {
    height: 100vw;
    width: 70vw;
  }

  .text {
    width: 75vw;
    font-size: 3.5vw;
  }
}

@media (min-width: 1024px) {
  h1 {
    font-size: 1.6vw;
  }

  #main-container {
    gap: 2vw;
    padding: 2vw 0 5vw 0;
  }

  .item {
    flex-direction: row;
    gap: 12vw;
  }

  .reversed {
    flex-direction: row-reverse;
  }

  .img-wrapper {
    height: 35vw;
    width: 25vw;
  }

  img {
    object-fit: fill;
  }

  .text {
    height: 30vw;
    width: 30vw;
    font-size: 1.1vw;
    display: flex;
    justify-content: center;
    align-items: center;
    line-height: 2vw;
  }
}
